Name:           expatmm
Version:        1.0.2
Release:        1%{?dist}
Summary:        C++ wrapper for the expat XML parser library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://devzone.intellitree.com/projects/expatmm/
Source0:        http://devzone.intellitree.com/downloads/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  expat-devel, libtool, pkgconfig

%description
ExpatMM is a C++ library that uses the efficient expat XML parser to
create a C++ class base for the development of C++ event-driver parser
objects.  This library provides the developer with two C++ classes:
  - ExpatXMLParser: a generic parser where the developer must supply
    event methods for parse tokens, as well as supply the event method
    for reading input data into a local buffer.
  - ExpatXMLFileParser: a parser where the event method for reading
    input data is implemented as a file reader, with the filename being
    specified at instance construction.

%package devel
Summary:        Libraries and header files for expatmm
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}, pkgconfig

%description devel
Libraries and header files for developing applications with expatmm.

%prep
%setup -q

# We put everything in standard places, which varies from the upstream
# pkgconfig file.
sed -i -e 's|-L${exec_prefix}/lib -lexpatmm|-lexpatmm|' \
       -e 's|1\.0\.1|1\.0\.2|' \
       -e '/Cflags/d' \
       -e '/libdir/d' \
       expatmm.pc.in

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

# make install DESTDIR=$RPM_BUILD_ROOT
# This works ... except that stuff gets put in the wrong places, and moving
# it to the right places is just as much work as installing by hand.

# Install the header files
mkdir -p $RPM_BUILD_ROOT%{_includedir}/expatmm
install -p -m 0644 include/*.h $RPM_BUILD_ROOT%{_includedir}/expatmm

# Install the pkgconfig file
mkdir -p $RPM_BUILD_ROOT%{_libdir}/pkgconfig
install -p -m 0644 expatmm.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig

# Install the shared libraries
install -p -m 0755 src/.libs/libexpatmm.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}
ln -s libexpatmm.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}/libexpatmm.so.0
ln -s libexpatmm.so.0 $RPM_BUILD_ROOT%{_libdir}/libexpatmm.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE README-expatmm
%{_libdir}/libexpatmm.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/expatmm
%{_libdir}/libexpatmm.so
%{_libdir}/pkgconfig/expatmm.pc

%changelog
* Mon Sep 21 2009 Jerry James <loganjerry@gmail.com> - 1.0.2-1
- Update to 1.0.2

* Fri May  8 2009 Jerry James <loganjerry@gmail.com> - 1.0.1-1
- Initial RPM
